#!/usr/bin/gnuplot

nm = 1.e-9  # m

set colors classic
set term x11

set xl "lambda [nm]"
set yl "I_lambda [] (shifted by dataset number)"

set ytics 5
set mytics 5
set grid ytics mytics
set zeroaxis
set nokey
set bar 0.5

p \
  "<awk '($6==1)' Spectra.dat_ORIG" u ($2/nm):($4+1*$6-1) w l lc 'gray',\
  "<awk '($6!=i){ print s; } { print; i=$6; }' Spectra.dat" u ($2/nm):($4+1*$6-1) w l lt 8,\
  "Spectra.dat" u ($2/nm):($4+1*$6-1):5 w err lt 3 pt 1 ps 0,\

pa -1

set term png small
set out "Spectra.png"
rep

q


