#!/usr/bin/gnuplot

rinsh = 6.0
rcsh = 5.9
vsh = 1000.0
evelsh = 1.5
evelsh = 0.5
denssh = 1.0e-12
tempsh = 30000.0
etmpsh = -1.0

v(r) = vsh*(1-rcsh/r)**evelsh
rho(r) = denssh*(rinsh/r)**2 * v(rinsh)/v(r)
T(r) = tempsh*(r/rinsh)**etmpsh

set xl "r [R_S]"
set yl "v [km/s]"

set xr [rinsh:15.0]
set yr [0:]
set samples 1000

p v(x), vsh w l lt 0
pa -1

########################################################################

set yl "rho [g/cm^3]"

p rho(x), denssh w l lt 0
pa -1

########################################################################

set yl "T [K]"

p T(x), tempsh w l lt 0
pa -1


